Subject: Re: [PATCH bpf-next V3] xsk: allow remap of fill and/or completion rings

From: Maciej Fijalkowski <[email-masked]>
Date: Fri, 24 Mar 2023 07:48:35 +0100

On Thu, Mar 23, 2023 at 09:01:24PM +0000, Nuno Gonçalves wrote:
> The remap of fill and completion rings was frowned upon as they
> control the usage of UMEM which does not support concurrent use.
> At the same time this would disallow the remap of these rings
> into another process.
> 
> A possible use case is that the user wants to transfer the socket/
> UMEM ownership to another process (via SYS_pidfd_getfd) and so
> would need to also remap these rings.
> 
> This will have no impact on current usages and just relaxes the
> remap limitation.
> 
> Signed-off-by: Nuno Gonçalves <[email-masked]>
> ---
>  net/xdp/xsk.c | 166 +++++++++++++++++++++++++-------------------------
>  1 file changed, 84 insertions(+), 82 deletions(-)

Interesting, 166 lines touched whereas v2 was about only 9 :) Please make
yourself familiar with Documentation/process/submitting-patches.rst.

Tell us what are the differences between your patch revisions, e.g. how
did you fix the build error that Daniel reported.

Don't include irrevelant changes such as style fixes to this patch.